Name: libqwtplot3d
Version: 0.2.6
Release: alt0.1

Summary: 3D plotting widget extension to the Qt GUI

License: LGPL
Group: System/Libraries
Url: http://qwtplot3d.sourceforge.net/

Packager: Vitaly Lipatov <lav@altlinux.ru>

%define qtdir %_libdir/qt3
Source: http://dl.sf.net/qwtplot3d/qwtplot3d-%version.tar.bz2

# Automatically added by buildreq on Fri Dec 03 2004
BuildRequires: fontconfig freetype2 gcc-c++ libqt3-devel libqt3-settings libstdc++-devel xorg-x11-devel xorg-x11-libs

%description
QwtPlot3D is a feature-rich Qt/OpenGL-based C++ programming library.
It provides essentially a bunch of 3D-widgets for programmers.

%package devel
Summary: Development tools for programs which uses QwtPlot3D Widget set
Group: Development/C
Requires: %name = %version

%description devel
QwtPlot3D is a feature-rich Qt/OpenGL-based C++ programming library.
It provides essentially a bunch of 3D-widgets for programmers.

%prep
%setup -q -n qwtplot3d

%build
export QTDIR=%qtdir
export PATH=$QTDIR/bin:$PATH
qmake qwtplot3d.pro
make

%install
mkdir -p %buildroot{%_libdir,%_includedir/qwtplot3d}
for n in include/*.h ; do
    install -m 644 $n %buildroot%_includedir/qwtplot3d
done

# install, preserving links
chmod 644 lib/libqwtplot3d.so*
for n in lib/libqwtplot3d.so* ; do
    cp -d $n %buildroot%_libdir
done

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%_libdir/libqwtplot3d.so.*

%files devel
%_includedir/qwtplot3d/
%_libdir/libqwtplot3d.so

%changelog
* Sun Jun 11 2006 Vitaly Lipatov <lav@altlinux.ru> 0.2.6-alt0.1
- new version 0.2.6 (with rpmrb script)
- fix Source URL

* Fri Feb 11 2005 Vitaly Lipatov <lav@altlinux.ru> 0.2.4-alt0.2beta
- move libraries to %_libdir, fix .so placement
- move include to %_includedir

* Mon Dec 27 2004 Vitaly Lipatov <lav@altlinux.ru> 0.2.4-alt0.1beta
- first build for ALT Linux Sisyphus
